
%define plugin	streamdev
%define name	vdr-plugin-%plugin
%define version	0.3.4
%define cvsrev	20080425
%define rel	2

%if %cvsrev
%define release	%mkrel 1.%cvsrev.%rel
%else
%define release	%mkrel %rel
%endif

Summary:	VDR plugin: streamdev
Name:		%name
Version:	%version
Release:	%release
Group:		Video
License:	GPL
URL:		http://streamdev.vdr-developer.org/

%if %cvsrev
# From streamdev @ :pserver:anoncvs@vdr-developer.org:/var/cvsroot
Source:		vdr-%plugin-%cvsrev.tar.bz2
%else
Source:		vdr-%plugin-%version.tgz
%endif

# Use TS instead of PES for HTTP streaming by default for better
# client compatibility
Patch0:		streamdev-TS-default.patch
Patch1:		remuxpath.diff
Patch2:		streamdev-intcam.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.6.0

%description
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

It consists of a server and a client part, but both parts are compiled together
with the PlugIn source, but appear as separate PlugIns to VDR.

%package server
Summary:	VDR plugin: VDR Streaming Server
Group:		Video
Requires:	vdr-abi = %vdr_abi
Requires:	%plugin-common >= %version-%release
Requires(post):	%plugin-common >= %version-%release

%description server
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

The server part acts as a Receiver-Device and works transparently in the
background within your running VDR. It can serve multiple clients and it can
distribute multiple input streams (i.e. from multiple DVB-cards) to multiple
clients using the native VTP protocol (for VDR-clients), or using the HTTP
protocol supporting clients such as XINE, MPlayer and so on. With XMMS or
WinAMP, you can also listen to radio channels over a HTTP connection.

%package client
Summary:	VDR plugin: VTP Streaming Client
Group:		Video
Requires:	vdr-abi = %vdr_abi
Requires:	%plugin-common >= %version-%release
Requires(post):	%plugin-common >= %version-%release

%description client
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

The client part acts as a full Input Device, so it can be used in conjunction
with a DXR3-Card, XINE, SoftDevice or others to act as a working VDR
installation without any DVB-Hardware including EPG-Handling.

%package -n %plugin-common
Summary:	Streamdev translation files
Group:		Video

%description -n %plugin-common
Streamdev translation files.

%prep
%if %cvsrev
%setup -q -n %plugin
find -type d -name CVS -print0 | xargs -0 rm -rf
%else
%setup -q -n %plugin-%version
%endif
%patch0 -p1
%patch1 -p0
%patch2 -p1
%vdr_plugin_prep

perl -pi -e 's/^CFLAGS =/MOREFLAGS =/' libdvbmpeg/Makefile
sed -i 's/$(CFLAGS)/$(MOREFLAGS) $(CFLAGS)/' libdvbmpeg/Makefile

# (Anssi 04/2008) Was needed in distant past with some connections, trying without now:
#sed -i 's,STREAMERBUFSIZE MEGABYTE(4),STREAMERBUFSIZE MEGABYTE(16),' server/streamer.h

%vdr_plugin_params_begin %plugin-server
# define an external command for remuxing
var=REMUXER
param=--remux=REMUXER
%vdr_plugin_params_end

cat > README.0.3.4.upgrade.urpmi <<EOF
The config file location of streamdev has changed. In the default hierarchy,
this means that the files have been moved from /var/lib/vdr/config/plugins
to /var/lib/vdr/config/plugins/streamdev.
EOF

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}

%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -m766 %plugin/externremux.sh %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}
install -m644 %plugin/streamdevhosts.conf %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%find_lang vdr-%plugin

%clean
rm -rf %{buildroot}

%post server
%vdr_plugin_post %plugin-server

%postun server
%vdr_plugin_postun %plugin-server

%post client
%vdr_plugin_post %plugin-client

%postun client
%vdr_plugin_postun %plugin-client

%files server -f streamdev-server.vdr
%defattr(-,root,root)
%doc README HISTORY CONTRIBUTORS PROTOCOL README.0.3.4.upgrade.urpmi
%dir %{_vdr_plugin_cfgdir}/%plugin
%config(noreplace) %{_vdr_plugin_cfgdir}/%plugin/streamdevhosts.conf
%config(noreplace) %{_vdr_plugin_cfgdir}/%plugin/externremux.sh

%files client -f streamdev-client.vdr
%defattr(-,root,root)
%doc README HISTORY CONTRIBUTORS

%files -n %plugin-common -f vdr-streamdev.lang
%defattr(-,root,root)


%changelog
* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.3.4-1.20080425.2mdv2009.0
+ Revision: 197885
- replace configdir patch with one from upstream (P1)
- handle remote CA correctly (P2)

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.3.4-1.20080425.1mdv2009.0
+ Revision: 197726
- new snapshot
- fix non-threadsafe configdir call (P1)
- create streamdev-common package for shared translations
- add urpmi readme file regarding config directory change
- ship externremux.sh

* Sun Mar 02 2008 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.080302.1mdv2008.1
+ Revision: 177717
- new snapshot

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.071028.3mdv2008.1
+ Revision: 145205
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.071028.2mdv2008.1
+ Revision: 103215
- rebuild for new vdr

* Sun Oct 28 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.071028.1mdv2008.1
+ Revision: 102880
- use TS by default for HTTP streaming (P0)
- new snapshot
- update URL

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.070611.4mdv2008.0
+ Revision: 50049
- rebuild for new vdr

* Fri Jun 22 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.070611.3mdv2008.0
+ Revision: 42695
- rebuild due to buildsystem failure
- rebuild for new vdr

* Sun Jun 10 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.070611.1mdv2008.0
+ Revision: 37966
- new snapshot
- drop the patch, applied upstream

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 1.070420.2mdv2008.0-current
+ Revision: 22698
- rebuild for new vdr

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.070420.1mdv2008.0
+ Revision: 16291
- new snapshot
- patch0: section_filters-0.5.patch by Petri Hintukainen and Rolf Ahrenberg
  (lots of changes, see README.patch for details)
- drop patch2, obsoleted by patch0


* Mon Feb 05 2007 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.070205.1mdv2007.0
+ Revision: 116379
- new snapshot

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.060823.4mdv2007.1
+ Revision: 90974
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.060823.3mdv2007.1
+ Revision: 74085
- rebuild for new vdr
- Import vdr-plugin-streamdev

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.060823.2mdv2007.0
- rebuild for new vdr
- use 2-digit year in cvsrev to shorten the rpm name length

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060823.1mdv2007.0
- new snapshot
- stricter abi requires
- drop patch1, upstream
- rediff patch2
- fix replaces in %%prep

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.4mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.3mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.2mdv2007.0
- use _ prefix for system path macros
- rpmbuildupdate friendly

* Sat Jun 10 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.1mdv2007.0
- initial Mandriva release

